<ion-header>

  <ion-navbar>
    <ion-title>Quotes</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <ion-card *ngFor="let q of quotes">
    <ion-card-header>#{{ q.id }}</ion-card-header>
    <ion-card-content>
      <p>{{ q.text }}</p>
      <p class="author">{{ q.person }}</p>
    </ion-card-content>
    <ion-grid>
      <ion-row>
        <ion-col text-right>
          <button *ngIf="!onIsFavorited(q)" ion-button clear small (click)="onAddToFavorites(q)">Favorite</button>
          <button *ngIf="onIsFavorited(q)" color="danger" ion-button clear small (click)="onRemoveFromFavorites(q)">Unfavorite</button>
        </ion-col>
      </ion-row>
    </ion-grid>
  </ion-card>
</ion-content>